DCSRDUMP(1)

NAME
dcsrdump - ACR/NEMA DICOM PS3 ... DICOM PS3 - Describe DICOM SR content

SYNOPSIS

dcsrdump [ -v|verbose ] [ -vv|veryverbose ] [ -filename ] [ -identifier ]

DESCRIPTION

dcsrdump reads the named dicom structured report (SR) input file and describes the information contained.

OPTIONS
The attribute values, description and verbose output go to standard error.

The basic input switches are described in dcintro(1). Options specific to this program are:

-verbose
    Describe the parsing process; does not actually do anything at present.

-veryverbose
    Display byte offset from file start and message start, in hexadecimal, and dump contents of the DICOM dataset while reading.

-filename
    Show the name of the file supplied in the arguments; a hyphen will be reported if no filename was supplied.

-identifier
    Preceed each content item with the dot delimited numeric identifier of the content item (as used in references).

ENVIRONMENT

EXAMPLES

% dcsrdump -identifier basictextsr.dcm
1: : CONTAINER: (18748-4,LN,"Diagnostic Imaging Report") [SEPARATE]
    >1.1: CONTAINS: CONTAINER: (121070,DCM,"Findings") [SEPARATE]
        >>1.1.1: CONTAINS: TEXT: (121071,DCM,"Finding") = "stuff"

FILES

SEE ALSO
dcintro(1)

AUTHOR
Copyright (C) 1993-2010. David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS